<script>
    // freshlytics snippet
    (function() {
        var COLLECT_URL = "https://freshlytics.1yanik3.com/api/collect";
        var PROJECT_ID = "BU1SUXRXUD";
        var GLOBAL_VAR_NAME = "__freshlytics__";

        window[GLOBAL_VAR_NAME] = {};

        window[GLOBAL_VAR_NAME].sendPageView = function() {
        var path = location.pathname;
        var referrer = document.referrer;

        var url =
            COLLECT_URL +
            "?project_id=" +
            PROJECT_ID +
            "&path=" +
            encodeURIComponent(path) +
            "&referrer=" +
            encodeURIComponent(referrer);

        var xhr = new XMLHttpRequest();
        xhr.open("GET", url);
        xhr.send();
        };

        window[GLOBAL_VAR_NAME].sendPageView();
    })();
</script>
<script>
    if ('serviceWorker' in navigator) {
        console.log('CLIENT: service worker registration in progress.');
        navigator.serviceWorker.register('/service-worker.js').then(function() {
        console.log('CLIENT: service worker registration complete.');
    }, function() {
        console.log('CLIENT: service worker registration failure.');
    });
    } else {
        console.log('CLIENT: service worker is not supported.');
    }
</script>